Bug 7781 - Enhancements to the main page (first step)
Summary: Enhancements to the main page (first step)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 7928
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 15:34 UTC by Adrien SAURAT
Modified: 2013-12-05 20:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch #1 (13.10 KB, patch)
2012-03-21 15:50 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 7781: enhancements on main page (13.09 KB, patch)
2012-03-21 21:49 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch #2 (14.28 KB, patch)
2012-03-22 11:15 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7781 : enhancements on main page (14.36 KB, patch)
2012-03-23 13:36 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7781 : enhancements on main page (14.36 KB, patch)
2012-03-23 13:37 UTC, Marc Véron
Details | Diff | Splinter Review
proposed patch with conflict resolved (14.35 KB, patch)
2012-03-30 14:57 UTC, Adrien SAURAT
Details | Diff | Splinter Review
patch with conflict resolved and lower cases (14.35 KB, patch)
2012-03-30 15:11 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Screenshot showing updated interface (52.87 KB, image/png)
2012-03-30 15:14 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-03-21 15:34:58 UTC
There is much to do in order to make Koha more "eye-friendly" ;) but a few modifications could quickly enhance the main page.

It would be good to :
- move the different search boxes (checkout, checkin, search patron, search the catalog) on top of page, the way it's done on other pages;
- display the Koha logo (deep pages display it but not the front page!)
- display the breadcrumb bar (even if it will contain only "Home")
- display a general title like "Welcome to Koha" (module pages have titles already)
- reorganise the links to modules (Cataloguing can move to the left side if the search boxes disappear)
Comment 1 Adrien SAURAT 2012-03-21 15:50:39 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-03-21 17:16:37 UTC
Applied patch #1

I like your proposition.

The staff client looks more consistent like this.

----

Had a warning while applying the patch:

Applying: Bug 7781: enhancements on main page
/usr/share/kohaclone/.git/rebase-apply/patch:48: trailing whitespace.
</ul>
warning: 1 line adds whitespace errors.
Comment 3 Chris Cormack 2012-03-21 17:52:37 UTC
(In reply to comment #2)
> Applied patch #1
> 
> I like your proposition.
> 
> The staff client looks more consistent like this.
> 
> ----
> 
> Had a warning while applying the patch:
> 
> Applying: Bug 7781: enhancements on main page
> /usr/share/kohaclone/.git/rebase-apply/patch:48: trailing whitespace.
> </ul>
> warning: 1 line adds whitespace errors.

Marc you might like to follow http://blog.bigballofwax.co.nz/2011/12/15/fixing-whitespace-when-apply-patches-with-git/ which will allow to fix that whitespace error automagically
Comment 4 Chris Cormack 2012-03-21 21:49:08 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2012-03-21 21:51:49 UTC
I have fixed the whitespace issue, and fixed a conflict.

Still needs a sign off
Comment 6 Julien Sicot 2012-03-22 09:27:19 UTC
I applied the patch and test it on several browsers (Firefox, Safari, Chrome, Opera) in different operating systems (MacOS and Ubuntu Linux). Everything seems to work well.  Just one problem on Firefox (Ubuntu), the submit button is not on the same line of the search bar (this affects just "check out" tab).

Suggestion : Could it be possible to fix the left links list when there are no news ?
Comment 7 Adrien SAURAT 2012-03-22 09:31:43 UTC
I'll try to fix the Submit button issue but it appears correctly on my computer so it will be hard to test :/

And the main menu needs to stay in the center even if the news are off, indeed! I'll change this asap.
Comment 8 Owen Leonard 2012-03-22 10:02:02 UTC
(In reply to comment #7)
> I'll try to fix the Submit button issue but it appears correctly on my
> computer so it will be hard to test :/

The problem only appears if CircAutocompl is turned ON. I think we need to increase the default width here:

#borrowerautocomplete {
    text-align: left;
    width: 450px;
}
Comment 9 Marc Véron 2012-03-22 10:10:51 UTC
I found a difference in the html of the buttons:

Check Out:
<input type="submit" value="Submit" class="submit" id="ysearchsubmit">

Others:
<input type="submit" class="submit" value="Submit">

However, I do not find #ysearchsubmit in the CSS

Anyway, this difference could be a hint why (older?) browsers interpret the CSS differently.

@Julien Sicot: Which FireFox Version on Ubuntu?
Comment 10 Adrien SAURAT 2012-03-22 11:15:17 UTC Comment hidden (obsolete)
Comment 11 Marc Véron 2012-03-23 13:36:56 UTC Comment hidden (obsolete)
Comment 12 Marc Véron 2012-03-23 13:37:18 UTC Comment hidden (obsolete)
Comment 13 Marc Véron 2012-03-23 13:42:11 UTC
Applied white space fix as recommended by Chris as well.
Comment 14 Owen Leonard 2012-03-26 14:37:06 UTC
I was hoping to add a screenshot of this to the bug report but the patch no longer applies.
Comment 15 Adrien SAURAT 2012-03-30 14:57:25 UTC Comment hidden (obsolete)
Comment 16 Adrien SAURAT 2012-03-30 15:11:02 UTC
Created attachment 8719 [details] [review]
patch with conflict resolved and lower cases

"Check Out" becomes "Check out"
and so on.
Comment 17 Owen Leonard 2012-03-30 15:14:00 UTC
Created attachment 8720 [details]
Screenshot showing updated interface
Comment 18 Katrin Fischer 2012-04-05 05:39:58 UTC
+1 I like the idea of the start page being more consistent with other module pages - having the logo and the search options on top.
Comment 19 Marcel de Rooy 2012-04-05 12:16:49 UTC
I have my doubts about this patch. I agree that the main page needs design work, but I do not think that we really improved it now. (Consistency is not really an issue here; there is only one start page.) 

If we rearrange the first page, should we sort the options and make each translation sort them too properly? The current order (with and without patch) is somewhat funny. 
If there is no news, I personally think the new page looks strange. Perhaps the new Welcome to Koha should be designed differently? Shift the links more to the left then?

Also the capitalization looks odd to me (e.g. Advanced search vs Advanced Search; I will submit a comment on bug 2780 too). (Note that you left Add MARC Record untouched.)

This change does not make it more user friendly. On the old page I can directly type a word for catalog search (without extra click) or patron search. We loose speed here for the user.

Sorry for some negative feedback from a user perspective, +1 for the idea to improve it.
Comment 20 Owen Leonard 2012-04-05 14:36:29 UTC
(In reply to comment #19)
> This change does not make it more user friendly. On the old page I can
> directly type a word for catalog search (without extra click) or patron
> search. We loose speed here for the user.

Actually the number of clicks is the same. In the current design, you click once to put the focus in the form field and then start typing. In the proposed design you click once on the tab and the focus is automatically moved to the form field. It's one click either way.
Comment 21 Marcel de Rooy 2012-04-05 14:42:48 UTC
(In reply to comment #20)
> Actually the number of clicks is the same. In the current design, you click
> once to put the focus in the form field and then start typing. In the
> proposed design you click once on the tab and the focus is automatically
> moved to the form field. It's one click either way.
That is true. That probably was a psychological one ;)
Comment 22 Ian Walls 2012-04-06 10:22:53 UTC
Looking at the screenshot, it's not as shocking of a difference as I had imagined (for whatever reason).  Having the consistent tabbed top bar, instead of myriad one-off search boxes, looks better to me.  Obviously, there are still plenty of aesthetic changes that could be made, but as far as a graphic restructuring goes, I think it wouldn't phase users too badly (since we already have the tabbed search box paradigm in other places).

Will QA shortly.
Comment 23 Paul Poulain 2012-04-06 16:21:49 UTC
QA comment: despite his size, this patch is mostly template-reorganisation.

It add the search tool bar and the breadcrumb for more consistency with other pages. (This change has been discussed during the hackfest)

prove xt/author/translatable-templates.t xt/author/valid-templates.t are OK

passed QA